package be.jeffcheasey88.peeratcode.parser.java;

import java.util.List;

import be.jeffcheasey88.peeratcode.parser.Token;
import be.jeffcheasey88.peeratcode.parser.java.Annotation.Annotable;
import be.jeffcheasey88.peeratcode.parser.java.Function.FunctionContainer;
import be.jeffcheasey88.peeratcode.parser.java.Variable.VariableContainer;

public class Class extends JavaElement implements Annotable, FunctionContainer, VariableContainer{
	
	private List<Annotation> annotations;
	
	private Token name;
	private Token extend;
	private Token implement;
	
	private List<JavaElement> elements;
	
	public Class(){}

	@Override
	public void addFunction(Function function) {
		this.elements.add(function);
	}

	@Override
	public void addAnnotation(Annotation annotation) {
		this.annotations.add(annotation);
	}

	@Override
	public void addVariable(Variable variable) {
		this.elements.add(variable);
	}
	

}
